Skip to content

Virtual MCP Settings

The Virtual MCP Settings API provides operations for org-level configuration and limits for virtual MCPs. See MCP Servers.

Note: This API, which is available as a Research Release, is only available if you're subscribed to Okta for AI Agents. Contact Okta Support for more information.

Retrieve the Virtual MCP Settings

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.read
Admin roles:
  • SUPER_ADMIN

Retrieves the org-level settings for virtual MCPs

GET
/workload-principals/api/v1/virtual-mcp-settings
curl -i -X GET \
  https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-settings

Responses

OK

Bodyapplication/json
basePathstring, (uri)

Default base path for virtual MCP server.

featuresArray of strings

Enabled feature indicators for this domain. Values might be added or removed without notice. Clients must not build business logic that depends on the presence of specific values.

limitsobject

Org-level limits for virtual MCPs

supportedConnectionTypesArray of strings
Response
{ "supportedConnectionTypes": [ "STS_ACCESS_TOKEN" ], "limits": { "maxVirtualMCPs": 100, "maxCapabilitiesPerVirtualMCP": 1000, "maxResourceServersPerVirtualMCP": 100 }, "features": [], "basePath": "https://subdomain.gateway.okta.com" }